/*
 * main.h
 *
 *  Created on: Apr 22, 2016
 *      Author: qwer
 */

#ifndef MAIN_H_
#define MAIN_H_

#define F_CPU        4800000uL           // CPU frequency
#define F_PWM        (F_CPU / 256 / 2)   // PWM frequency

#define RPM_MIN      60                  // min set RPM
#define RPM_MAX      (4112+RPM_MIN)      // max set RPM

#define ADC_MAX      255                 // max ADC value
#define ADC_INC      1                   // ADC smoothing increment/decrement value

#define PIN_IN_MAX   20                  // switches debouncing max

#define ADDR_ADC_INC 0x3FF               // ADC increment location at PROGMEM

#include <stdint.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <util/delay.h>

int main();

#endif /* MAIN_H_ */
